[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLStatement.MacroCheck

Check for macros in the SQL statement.

## Declaration

Source position: sqldb.pp line 437

`published property TSQLStatement.MacroCheck : Boolean;`

## Description

MacroCheck is the macro equivalent of ParamCheck: if set to True, it instructs the query component to check the SQL statement text for macros and add them to the Macros collection.

## See also

ParamCheck |  | Should SQL be checked for parameters
Macros |  | Set of macros for this SQL statement.